Summary: Themes for the UserUI of Software Suspend 2/Tux On Ice
Name: userui-tuxonice-theme
Version: 1.1
Release: 11.cubbi1
License: GPL
Group: Applications/System
Packager: Matthias Hensler <matthias@wspse.de>
URL: http://suspend2.net/
Source0: http://suspend2.net/downloads/all/snowboard-tux-v2.tar.bz2
Source1: manzanatux-v2.tar.bz2
Source2: fedora-bubbles-v1.tar.bz2
Source3: rhgb-v1.tar.bz2
Source4: fedora-dna-v1.tar.bz2
Source5: redhat-tikanga-v1.tar.bz2
Source6: fedora-flyinghigh-v1.tar.bz2
Source7: fedora-infinity-v1.tar.bz2
Source8: fedora-waves-v1.tar.bz2
Source9: fedora-solar-v1.tar.bz2
Source10: fedora-leonidas-v1.tar.bz2
Source11: fedora-constantine-v1.tar.bz2
Source12: fedora-goddard-v1.tar.bz2
Source13: fedora-laughlin-v1.tar.bz2
Source14: fedora-lovelock-v1.tar.bz2
Source15: fedora-verne-v1.tar.bz2
Source16: fedora-beefy-miracle-v1.tar.bz2
Source17: fedora-spherical-cow-v1.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: userui-suspend2-fbsplash
Obsoletes: swsusp2-userui-snowboardtux, swsusp2-userui-manzanatux
Obsoletes: userui-suspend2-theme
Provides: userui-suspend2-theme = %{version}
BuildArch: noarch

%description
Provides themes for userui-suspend2-fbsplash/userui-tuxonice-fbsplash.

%package snowboardtux
Requires: userui-suspend2-fbsplash
Obsoletes: swsusp2-userui-snowboardtux, userui-suspend2-theme-snowboardtux
Provides: userui-tuxonice-theme-snowboardtux = %{version}
Summary: Snowboarding Tux theme
Group: Applications/System
%description snowboardtux
This package includes the default Suspend 2 theme showing a snowboarding Tux.

%package manzanatux
Requires: userui-suspend2-fbsplash
Obsoletes: swsusp2-userui-manzanatux, userui-suspend2-theme-manzanatux
Provides: userui-tuxonice-theme-manzanatux = %{version}
Summary: Manzana Tux theme
Group: Applications/System
%description manzanatux
This package includes the Manzana Tux theme, based on the Manzana Tux GDM
theme. It was made by Eric Lassauge <lassauge@users.sourceforge.net>.

%package fedorabubbles
Requires: userui-suspend2-fbsplash
Obsoletes: userui-suspend2-theme-fedorabubbles
Provides: userui-tuxonice-theme-fedorabubbles = %{version}
Summary: Fedora bubbles theme for Core 5
Group: Applications/System
%description fedorabubbles
This package includes the standard bubble theme for Fedora Core 5.

%package rhgb
Requires: userui-suspend2-fbsplash
Obsoletes: userui-suspend2-theme-rhgb
Provides: userui-tuxonice-theme-rhgb = %{version}
Summary: RHGB theme
Group: Applications/System
%description rhgb
This package includes a theme matching RHGB on Fedora Core 4.  It was made by
Eric Lassauge <lassauge@users.sourceforge.net>.

%package fedoradna
Requires: userui-suspend2-fbsplash
Obsoletes: userui-suspend2-theme-fedoradna
Provides: userui-tuxonice-theme-fedoradna = %{version}
Summary: Fedora DNA theme for Core 6
Group: Applications/System
%description fedoradna
This package includes the standard DNA theme for Fedora Core 6.

%package rhel-tikanga
Requires: userui-suspend2-fbsplash
Obsoletes: userui-suspend2-theme-rhel-tikanga
Provides: userui-tuxonice-theme-rhel-tikanga = %{version}
Summary: Redhat Tikanga theme for RHEL 5
Group: Applications/System
%description rhel-tikanga
This package includes the standard Tikanga theme for Redhat Enterprise Linux 5.

%package fedoraflyinghigh
Requires: userui-suspend2-fbsplash
Obsoletes: userui-suspend2-theme-fedoraflyinghigh
Provides: userui-tuxonice-theme-fedoraflyinghigh = %{version}
Summary: Fedora 7 FlyingHigh theme
Group: Applications/System
%description fedoraflyinghigh
This package includes the standard FlyingHigh theme for Fedora 7.

%package fedorainfinity
Requires: userui-tuxonice-fbsplash
Summary: Fedora 8 Infinity theme
Group: Applications/System
%description fedorainfinity
This package includes the standard Infinity theme for Fedora 8.

%package fedorawaves
Requires: userui-tuxonice-fbsplash
Summary: Fedora 9 Waves theme
Group: Applications/System
%description fedorawaves
This package includes the standard Waves theme for Fedora 9.

%package fedorasolar
Requires: userui-tuxonice-fbsplash
Summary: Fedora 10 Solar theme
Group: Applications/System
%description fedorasolar
This package includes the standard Solar theme for Fedora 10.

%package fedoraleonidas
Requires: userui-tuxonice-fbsplash
Summary: Fedora 11 Leonidas theme
Group: Applications/System
%description fedoraleonidas
This package includes the standard Leonidas theme for Fedora 11.

%package fedoraconstantine
Requires: userui-tuxonice-fbsplash
Summary: Fedora 12 Constantine theme
Group: Applications/System
%description fedoraconstantine
This package includes the standard Constantine theme for Fedora 12.

%package fedoragoddard
Requires: userui-tuxonice-fbsplash
Summary: Fedora 13 Goddard theme
Group: Applications/System
%description fedoragoddard
This package includes the standard Goddard theme for Fedora 13.

%package fedoralaughlin
Requires: userui-tuxonice-fbsplash
Summary: Fedora 14 Laughlin theme
Group: Applications/System
%description fedoralaughlin
This package includes the standard Laughlin theme for Fedora 14.

%package fedoralovelock
Requires: userui-tuxonice-fbsplash
Summary: Fedora 15 Lovelock theme
Group: Applications/System
%description fedoralovelock
This package includes the standard Lovelock theme for Fedora 15.

%package fedoraverne
Requires: userui-tuxonice-fbsplash
Summary: Fedora 16 Verne theme
Group: Applications/System
%description fedoraverne
This package includes the standard Lovelock theme for Fedora 16.

%package fedorabeefymiracle
Requires: userui-tuxonice-fbsplash
Summary: Fedora 17 Beefy-Miracle theme
Group: Applications/System
%description fedorabeefymiracle
This package includes the standard Beefy-Miracle theme for Fedora 17.

%package fedorasphericalcow
Requires: userui-tuxonice-fbsplash
Summary: Fedora 18 Spherical-Cow theme
Group: Applications/System
%description fedorasphericalcow
This package includes the standard Spherical-Cow theme for Fedora 18.

%prep

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/splash

# Install themes
# Snowboard-Tux
bzip2 -dc %{SOURCE0} | tar -x -C $RPM_BUILD_ROOT/etc/splash
pushd $RPM_BUILD_ROOT/etc/splash
ln -s snowboard-tux suspend2
popd

# Manzana-Tux
bzip2 -dc %{SOURCE1} | tar -x -C $RPM_BUILD_ROOT/etc/splash

# Fedora Bubbles
bzip2 -dc %{SOURCE2} | tar -x -C $RPM_BUILD_ROOT/etc/splash

# RHGB
bzip2 -dc %{SOURCE3} | tar -x -C $RPM_BUILD_ROOT/etc/splash

# Fedora DNA
bzip2 -dc %{SOURCE4} | tar -x -C $RPM_BUILD_ROOT/etc/splash

# RHEL Tikanga
bzip2 -dc %{SOURCE5} | tar -x -C $RPM_BUILD_ROOT/etc/splash

# Fedora FlyingHigh
bzip2 -dc %{SOURCE6} | tar -x -C $RPM_BUILD_ROOT/etc/splash

# Fedora Infinity
bzip2 -dc %{SOURCE7} | tar -x -C $RPM_BUILD_ROOT/etc/splash

# Fedora Waves
bzip2 -dc %{SOURCE8} | tar -x -C $RPM_BUILD_ROOT/etc/splash

# Fedora Solar
bzip2 -dc %{SOURCE9} | tar -x -C $RPM_BUILD_ROOT/etc/splash

# Fedora Leonidas
bzip2 -dc %{SOURCE10} | tar -x -C $RPM_BUILD_ROOT/etc/splash

# Fedora Constantine
bzip2 -dc %{SOURCE11} | tar -x -C $RPM_BUILD_ROOT/etc/splash

# Fedora Goddard
bzip2 -dc %{SOURCE12} | tar -x -C $RPM_BUILD_ROOT/etc/splash

# Fedora Laughlin
bzip2 -dc %{SOURCE13} | tar -x -C $RPM_BUILD_ROOT/etc/splash

# Fedora Lovelock
bzip2 -dc %{SOURCE14} | tar -x -C $RPM_BUILD_ROOT/etc/splash

# Fedora Verne
bzip2 -dc %{SOURCE15} | tar -x -C $RPM_BUILD_ROOT/etc/splash

# Fedora Beefy-Miracle
bzip2 -dc %{SOURCE16} | tar -x -C $RPM_BUILD_ROOT/etc/splash

# Fedora Spherical-Cow
bzip2 -dc %{SOURCE17} | tar -x -C $RPM_BUILD_ROOT/etc/splash

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post manzanatux
if [ ! -e /etc/splash/suspend2 ] ; then
pushd /etc/splash > /dev/null
ln -s manzanatux suspend2
popd > /dev/null
fi

%post fedorabubbles
if [ ! -e /etc/splash/suspend2 ] ; then
pushd /etc/splash > /dev/null
ln -s fedora-bubbles suspend2
popd > /dev/null
fi

%post rhgb
if [ ! -e /etc/splash/suspend2 ] ; then
pushd /etc/splash > /dev/null
ln -s rhgb suspend2
popd > /dev/null
fi

%post fedoradna
if [ ! -e /etc/splash/suspend2 ] ; then
pushd /etc/splash > /dev/null
ln -s fedora-dna suspend2
popd > /dev/null
fi

%post rhel-tikanga
if [ ! -e /etc/splash/suspend2 ] ; then
pushd /etc/splash > /dev/null
ln -s redhat-tikanga suspend2
popd > /dev/null
fi

%post fedoraflyinghigh
if [ ! -e /etc/splash/suspend2 ] ; then
pushd /etc/splash > /dev/null
ln -s fedora-flyinghigh suspend2
popd > /dev/null
fi

%post fedorainfinity
if [ ! -e /etc/splash/suspend2 ] ; then
pushd /etc/splash > /dev/null
ln -s fedora-infinity suspend2
popd > /dev/null
fi

%post fedorawaves
if [ ! -e /etc/splash/suspend2 ] ; then
pushd /etc/splash > /dev/null
ln -s fedora-waves suspend2
popd > /dev/null
fi

%post fedorasolar
if [ ! -e /etc/splash/suspend2 ] ; then
pushd /etc/splash > /dev/null
ln -s fedora-solar suspend2
popd > /dev/null
fi

%post fedoraleonidas
if [ ! -e /etc/splash/tuxonice ] ; then
pushd /etc/splash > /dev/null
ln -s fedora-leonidas tuxonice
popd > /dev/null
fi

%post fedoraconstantine
if [ ! -e /etc/splash/tuxonice ] ; then
pushd /etc/splash > /dev/null
ln -s fedora-constantine tuxonice
popd > /dev/null
fi

%post fedoragoddard
if [ ! -e /etc/splash/tuxonice ] ; then
pushd /etc/splash > /dev/null
ln -s fedora-goddard tuxonice
popd > /dev/null
fi

%post fedoralaughlin
if [ ! -e /etc/splash/tuxonice ] ; then
pushd /etc/splash > /dev/null
ln -s fedora-laughlin tuxonice
popd > /dev/null
fi

%post fedoralovelock
if [ ! -e /etc/splash/tuxonice ] ; then
pushd /etc/splash > /dev/null
ln -s fedora-lovelock tuxonice
popd > /dev/null
fi

%post fedoraverne
if [ ! -e /etc/splash/tuxonice ] ; then
pushd /etc/splash > /dev/null
ln -s fedora-verne tuxonice
popd > /dev/null
fi

%post fedorabeefymiracle
if [ ! -e /etc/splash/tuxonice ] ; then
pushd /etc/splash > /dev/null
ln -s fedora-beefy-miracle tuxonice
popd > /dev/null
fi

%post fedorasphericalcow
if [ ! -e /etc/splash/tuxonice ] ; then
pushd /etc/splash > /dev/null
ln -s fedora-spherical-cow tuxonice
popd > /dev/null
fi

%files

%files snowboardtux
%config(noreplace) /etc/splash/suspend2
/etc/splash/snowboard-tux

%files manzanatux
/etc/splash/manzanatux

%files fedorabubbles
/etc/splash/fedora-bubbles

%files rhgb
/etc/splash/rhgb

%files fedoradna
/etc/splash/fedora-dna

%files rhel-tikanga
/etc/splash/redhat-tikanga

%files fedoraflyinghigh
/etc/splash/fedora-flyinghigh

%files fedorainfinity
/etc/splash/fedora-infinity

%files fedorawaves
/etc/splash/fedora-waves

%files fedorasolar
/etc/splash/fedora-solar

%files fedoraleonidas
/etc/splash/fedora-leonidas

%files fedoraconstantine
/etc/splash/fedora-constantine

%files fedoragoddard
/etc/splash/fedora-goddard

%files fedoralaughlin
/etc/splash/fedora-laughlin

%files fedoralovelock
/etc/splash/fedora-lovelock

%files fedoraverne
/etc/splash/fedora-verne

%files fedorabeefymiracle
/etc/splash/fedora-beefy-miracle

%files fedorasphericalcow
/etc/splash/fedora-spherical-cow

%changelog
* Mon Dec 31 2012 Matthias Hensler <matthias@wspse.de> 1.1-11.cubbi1
- created Spherical-Cow theme for Fedora 18

* Wed Apr 18 2012 Matthias Hensler <matthias@wspse.de> 1.1-10.cubbi1
- created Beefy-Miracle theme for Fedora 17

* Mon Oct 31 2011 Matthias Hensler <matthias@wspse.de> 1.1-9.cubbi1
- created verne theme for Fedora 16

* Mon May 25 2011 Matthias Hensler <matthias@wspse.de> 1.1-8.cubbi1
- created lovelock theme for Fedora 15

* Thu Nov 04 2010 Matthias Hensler <matthias@wspse.de> 1.1-7.cubbi1
- created laughlin theme for Fedora 14

* Fri May 14 2010 Matthias Hensler <matthias@wspse.de> 1.1-6.cubbi1
- created goddard theme for Fedora 13

* Thu Nov 19 2009 Matthias Hensler <matthias@wspse.de> 1.1-5.cubbi1
- created constantine theme for Fedora 12

* Mon Jun 08 2009 Matthias Hensler <matthias@wspse.de> 1.1-4.cubbi1
- created leonidas theme for Fedora 11

* Sun Nov 09 2008 Matthias Hensler <matthias@wspse.de> 1.1-3.cubbi1
- created solar theme for Fedora 10

* Sun May 11 2008 Matthias Hensler <matthias@wspse.de> 1.1-2.cubbi2
- Final rebuild for Fedora 9 Sulphur

* Sun Apr 06 2008 Matthias Hensler <matthias@wspse.de> 1.1-2.cubbi1
- created wave theme for F9.

* Tue Nov 07 2007 Matthias Hensler <matthias@wspse.de> 1.1-1.cubbi3
- rebuild for Fedora 8 final.

* Tue Oct 09 2007 Matthias Hensler <matthias@wspse.de> 1.1-1.cubbi2
- create suspend2 as default symlink.

* Tue Oct 09 2007 Matthias Hensler <matthias@wspse.de> 1.1-1.cubbi1
- created infinity theme for F8.
- rename to userui-tuxonice-theme.

* Thu Mar 31 2007 Matthias Hensler <matthias@wspse.de> 1.0-6.cubbi1
- created flyinghigh theme for F7.

* Sat Mar 17 2007 Matthias Hensler <matthias@wspse.de> 1.0-5.cubbi1
- created tikanga theme for RHEL5.

* Fri Oct 20 2006 Matthias Hensler <matthias@wspse.de> 1.0-4.cubbi2
- rebuild for Fedora Core 6 final.

* Tue Sep 19 2006 Matthias Hensler <matthias@wspse.de> 1.0-4.cubbi1
- created dna theme for FC6.

* Mon Mar 20 2006 Matthias Hensler <matthias@wspse.de> 1.0-3.cubbi1
- rebuild.

* Mon Mar 20 2006 Axel Thimm <Axel.Thimm@ATrpms.net> 1.0-2.cubbi4
- Add %%files entry for missing main package.

* Sat Mar 18 2006 Matthias Hensler <matthias@wspse.de> 1.0-1.cubbi4
- build for Fedora Core 5 final.

* Tue Mar 07 2006 Matthias Hensler <matthias@wspse.de> 1.0-1.cubbi3
- added rhgb theme by Eric Lassauge <lassauge@users.sf.net>.
- removed unnecessary pushd/popd calls in install-section.
- fixed lower y-coordinate in silent box in manzanatux and snowboardtux
  theme (800x600.cfg) as reported by Eric Lassauge.

* Thu Feb 23 2006 Matthias Hensler <matthias@wspse.de> 1.0-1.cubbi2
- made progressbox for 800x600 and 640x480 in fedorabubbles a bit smaller.

* Wed Feb 22 2006 Matthias Hensler <matthias@wspse.de> 1.0-1.cubbi1
- split themes from userui-suspend2 into this seperate package.
- created bubbles theme for FC5.

